package edu.travel.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 歌曲收藏列表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "mt_favorite_songs")
public class MtFavoriteSongs implements Serializable {
    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.INPUT)
    private Long id;

    /**
     * 用户id
     */
    @TableField(value = "user_id")
    private String userId;

    /**
     * 歌曲id
     */
    @TableField(value = "song_id")
    private String songId;

    /**
     * 项目名称
     */
    @TableField(value = "project")
    private String project;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    private Date createTime;

    /**
     * 创建用户id
     */
    @TableField(value = "create_user_id")
    private Long createUserId;

    /**
     * 更新时间
     */
    @TableField(value = "update_time")
    private Date updateTime;

    /**
     * 更新用户id
     */
    @TableField(value = "update_user_id")
    private Long updateUserId;

    /**
     * 逻辑删除标记
     */
    @TableField(value = "delete_flag")
    private Integer deleteFlag;

    private static final long serialVersionUID = 1L;
}